<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">

    <ui:define name="body">
        <s:decorate template="/pdq/supplierConfiguration.xhtml">
            <ui:param name="managedBean" value="#{pdqpdsGUIManagerBean}"/>
            <ui:param name="title"
                      value="#{messages['gazelle.patientmanager.PDQPatientDemographicSupplier']} #{messages['net.ihe.gazelle.pam.HL7v2']}"/>
            <ui:param name="imagePath" value="diag/pdsResponder.png"/>
            <ui:param name="displayDomains" value="#{true}"/>
            <ui:define name="parameters">
                <s:div rendered="#{not empty pdqpdsGUIManagerBean.configurations}">
                    <a4j:repeat value="#{pdqpdsGUIManagerBean.configurations}" var="simuConf">
                        <!-- simulator configuration -->
                        <ui:decorate template="/layout/panels/_panel_title.xhtml">
                            <ui:define name="panel_title">#{simuConf.name}</ui:define>
                            <dl class="dl-horizontal">
                                <s:decorate id="domDecoration" template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.hl7.Domain']}</ui:define>
                                    <h:outputText value="#{simuConf.domain.name}"/>
                                </s:decorate>
                                <s:decorate id="ipDecoration" template="/layout/display/_data_list_item.xhtml"
                                            rendered="#{simuConf.hl7Protocol == 'MLLP'}">
                                    <ui:define name="label">#{messages['gazelle.HL7Common.IPAddress']}</ui:define>
                                    <h:outputText value="#{simuConf.ipAddress}"/>
                                </s:decorate>
                                <s:decorate id="portDecoration" template="/layout/display/_data_list_item.xhtml"
                                            rendered="#{simuConf.hl7Protocol == 'MLLP'}">
                                    <ui:define name="label">#{messages['gazelle.HL7Common.Port']}</ui:define>
                                    <h:outputText value="#{simuConf.listeningPort}"/>
                                </s:decorate>
                                <s:decorate id="httpConfig"
                                            rendered="#{simuConf.hl7Protocol == 'HTTP'}"
                                            template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.hl7.URL']}</ui:define>
                                    <h:outputText value="#{simuConf.url}"/>
                                </s:decorate>
                                <s:decorate id="RecAppDecoration" template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.HL7Common.ReceivingApplication']}
                                    </ui:define>
                                    <h:outputText value="#{simuConf.receivingApplication}"/>
                                </s:decorate>
                                <s:decorate id="RecFacDecoration" template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.HL7Common.ReceivingFacility']}
                                    </ui:define>
                                    <h:outputText value="#{simuConf.receivingFacility}"/>
                                </s:decorate>
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.hl7.MessageEncoding']}</ui:define>
                                    <h:outputText value="#{simuConf.messageEncoding}"/>
                                </s:decorate>
                                <s:decorate id="Status" template="/layout/display/_data_list_item.xhtml"
                                            rendered="#{simuConf.hl7Protocol == 'MLLP'}">
                                    <ui:define name="label">#{messages['gazelle.hl7.Status']}</ui:define>
                                    <h:outputText value="#{messages['gazelle.hl7.Running']}"
                                                  styleClass="gzl-label gzl-label-green"
                                                  rendered="#{simuConf.running}"/>
                                    <h:outputText value="#{messages['gazelle.hl7.Stopped']}"
                                                  styleClass="gzl-label gzl-label-red"
                                                  rendered="#{not simuConf.running}"/>
                                </s:decorate>
                            </dl>
                        </ui:decorate>
                    </a4j:repeat>
                </s:div>
            </ui:define>
        </s:decorate>
    </ui:define>
</ui:composition>